Subject: Re: User Authentication ?

From: Jakub Narebski <[email-masked]>
Date: Mon, 13 Oct 2008 10:23:06 +0200

Neshama Parhoti wrote:

> On Sat, Oct 11, 2008 at 8:28 PM, Jakub Narebski <[email-masked]> wrote:
>> "Neshama Parhoti" <[email-masked]> writes:
>>
>>> I want to setup a git server on the web but I need user
>>> authentication.
>>> I really don't want to give ssh logins for people who I just want to
>>> be able to access my repository...
>>
>> First, you can always set git-shell as shell for those git only
>> accounts. [...]
> 
> Thank you ! That should really be good. Any chance you are aware of
> documentation or further guidance about how to set this up ?

I have never had the need, but for Gitosis the seminal reference is
I think
  "Hosting Git repositories, The Easy (and Secure) Way"
  http://scie.nti.st/2007/11/14/hosting-git-repositories-the-easy-and-secure-way

-- 
Jakub Narebski
Poland